on the fly reprojection results in an error with ICEDS WMS

2008-06-22 10:26 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11189

Description

I connected to to a WMS services, selected a layer, tried to turn on the fly reprojection and an error cropped out:

Could not draw ICEDS - Integrated CEOS European Data Server  ponieważ:

(Unknown error code from a post-1.3 WMS server)

The WMS vendor also reported: 

msDrawMap(): Image handling error. Unable to initialize image.

msCalculateScale(): General error message. Invalid image extent, minx=12.335826, miny=47.674212, maxx=12.335826,

maxy=47.674212.

This is probably due to a bug in the QGIS program.  Please report this error.

Tried URL:

http://iceds.ge.ucl.ac.uk/cgi-bin/icedswms?SERVICE=WMS&REQUEST=GetCapabilities&SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&BBOX=12.335749,47.674176,12.335903,47.674248&SRS=EPSG:4326&WIDTH=1&HEIGHT=1&LAYERS=landsat_3_02%2Csrtm3_v2_3&STYLES=%2C&FORMAT=image/png&TRANSPARENT=TRUE


EQUEST=GetMap&BBOX=12.335749,47.674176,12.335903,47.674248&SRS=EPSG:4326&WIDTH=1&HEIGHT=1&LAYERS=landsat_3_02%2Csrtm3_v2_3&STYLES=%2C&FORMAT=image/png&TRANSPARENT=TRUE


landsat_3_02%2Csrtm3_v2_3&STYLES=%2C&FORMAT=image/png&TRANSPARENT=TRUE

History

#1 - 2009-07-02 01:26 PM - Giovanni Manghi

I cannot replicate the problem on QGIS > 1.1 under Ubuntu 9.04

#2 - 2009-07-03 01:15 AM - Giovanni Manghi

Please check if the problem persist for you and give feedback. If it has been fixed we can close this ticket. Thanks.

#3 - 2009-07-09 01:15 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Closing, reopen it if necessary.
